RFID Management API
RFID Management API allows users to add and manage RFID cards. Enabling RFID authentication will require you to present your RFID card to start and stop charging sessions. You can also onboard multiple RFID cards in a single go.
API Usage
You must be authorized to use RFID Management API. See Token Management API for more information on how to create and use the access token.
Bulk Import RFIDs
This method allows you to insert or upload Bulk RFIDs.
Prepare Request
You can prepare the request body with parameter interimVehicleIDs in an array format. For more information, see RFID API Reference.
Request Body
{
"interimVehicleIDs": ["YOUR_RFID"]
}
Example Request
Note
Use the server URL applicable to your region. See API Reference for available server URLs applicable to your region.
export TOKEN = <YOUR_TOKEN>
export INTERIMVEHICLEIDS = [<INTERIMVEHICLEIDS>]
curl --location --request POST 'https://api.eu.depot.emobility.io/v2/rfid' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $TOKEN' \
--data '{
"interimVehicleIDs": $INTERIMVEHICLEIDS
}'
Response Body
Successful response returns 201 HTTP status code with response body of RFIDImportResponse schema. For more information, see RFID API Reference.
Example Response
{
"message": "RFID has been created successfully."
}
Status Update of a RFID
This method allows you to enable or disable RFID authentication.
Prepare Request
You can prepare the request with path parameter TAG is RFID and STATUS is boolean format. For more information, see RFID API Reference.
Example Request
export TOKEN = <YOUR_TOKEN>
export TAG = <YOUR_RFID>
export STATUS = <VALUE_STATUS>
curl --location --request POST 'https://api.eu.depot.emobility.io/v2/rfid/$TAG/$STATUS' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $TOKEN'
Response Body
Successful response returns 201 HTTP status code with response body of RFIDUpdateResponse schema. For more information, see RFID API Reference.
Example Response
{
"message": "RFID status has been updated successfully."
}